aclocal.m4 (sdparm-1.11.tgz) | : | aclocal.m4 (sdparm-1.12.tgz) | ||
---|---|---|---|---|
# generated automatically by aclocal 1.15.1 -*- Autoconf -*- | # generated automatically by aclocal 1.16.1 -*- Autoconf -*- | |||
# Copyright (C) 1996-2017 Free Software Foundation, Inc. | # Copyright (C) 1996-2018 Free Software Foundation, Inc. | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This program is distributed in the hope that it will be useful, | # This program is distributed in the hope that it will be useful, | |||
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |||
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |||
# PARTICULAR PURPOSE. | # PARTICULAR PURPOSE. | |||
m4_ifndef([AC_CONFIG_MACRO_DIRS], [m4_defun([_AM_CONFIG_MACRO_DIRS], [])m4_defun ([AC_CONFIG_MACRO_DIRS], [_AM_CONFIG_MACRO_DIRS($@)])]) | m4_ifndef([AC_CONFIG_MACRO_DIRS], [m4_defun([_AM_CONFIG_MACRO_DIRS], [])m4_defun ([AC_CONFIG_MACRO_DIRS], [_AM_CONFIG_MACRO_DIRS($@)])]) | |||
m4_ifndef([AC_AUTOCONF_VERSION], | m4_ifndef([AC_AUTOCONF_VERSION], | |||
[m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | [m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | |||
m4_if(m4_defn([AC_AUTOCONF_VERSION]), [2.69],, | m4_if(m4_defn([AC_AUTOCONF_VERSION]), [2.70],, | |||
[m4_warning([this file was generated for autoconf 2.69. | [m4_warning([this file was generated for autoconf 2.70. | |||
You have another version of autoconf. It may work, but is not guaranteed to. | You have another version of autoconf. It may work, but is not guaranteed to. | |||
If you have problems, you may need to regenerate the build system entirely. | If you have problems, you may need to regenerate the build system entirely. | |||
To do so, use the procedure documented by the package, typically 'autoreconf'.]) ]) | To do so, use the procedure documented by the package, typically 'autoreconf'.]) ]) | |||
# Copyright (C) 2002-2017 Free Software Foundation, Inc. | # Copyright (C) 2002-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_AUTOMAKE_VERSION(VERSION) | # AM_AUTOMAKE_VERSION(VERSION) | |||
# ---------------------------- | # ---------------------------- | |||
# Automake X.Y traces this macro to ensure aclocal.m4 has been | # Automake X.Y traces this macro to ensure aclocal.m4 has been | |||
# generated from the m4 files accompanying Automake X.Y. | # generated from the m4 files accompanying Automake X.Y. | |||
# (This private macro should not be called outside this file.) | # (This private macro should not be called outside this file.) | |||
AC_DEFUN([AM_AUTOMAKE_VERSION], | AC_DEFUN([AM_AUTOMAKE_VERSION], | |||
[am__api_version='1.15' | [am__api_version='1.16' | |||
dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to | dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to | |||
dnl require some minimum version. Point them to the right macro. | dnl require some minimum version. Point them to the right macro. | |||
m4_if([$1], [1.15.1], [], | m4_if([$1], [1.16.1], [], | |||
[AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl | [AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl | |||
]) | ]) | |||
# _AM_AUTOCONF_VERSION(VERSION) | # _AM_AUTOCONF_VERSION(VERSION) | |||
# ----------------------------- | # ----------------------------- | |||
# aclocal traces this macro to find the Autoconf version. | # aclocal traces this macro to find the Autoconf version. | |||
# This is a private macro too. Using m4_define simplifies | # This is a private macro too. Using m4_define simplifies | |||
# the logic in aclocal, which can simply ignore this definition. | # the logic in aclocal, which can simply ignore this definition. | |||
m4_define([_AM_AUTOCONF_VERSION], []) | m4_define([_AM_AUTOCONF_VERSION], []) | |||
# AM_SET_CURRENT_AUTOMAKE_VERSION | # AM_SET_CURRENT_AUTOMAKE_VERSION | |||
# ------------------------------- | # ------------------------------- | |||
# Call AM_AUTOMAKE_VERSION and AM_AUTOMAKE_VERSION so they can be traced. | # Call AM_AUTOMAKE_VERSION and AM_AUTOMAKE_VERSION so they can be traced. | |||
# This function is AC_REQUIREd by AM_INIT_AUTOMAKE. | # This function is AC_REQUIREd by AM_INIT_AUTOMAKE. | |||
AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION], | AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION], | |||
[AM_AUTOMAKE_VERSION([1.15.1])dnl | [AM_AUTOMAKE_VERSION([1.16.1])dnl | |||
m4_ifndef([AC_AUTOCONF_VERSION], | m4_ifndef([AC_AUTOCONF_VERSION], | |||
[m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | [m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | |||
_AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))]) | _AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))]) | |||
# Copyright (C) 2011-2017 Free Software Foundation, Inc. | # Copyright (C) 2011-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_PROG_AR([ACT-IF-FAIL]) | # AM_PROG_AR([ACT-IF-FAIL]) | |||
# ------------------------- | # ------------------------- | |||
# Try to determine the archiver interface, and trigger the ar-lib wrapper | # Try to determine the archiver interface, and trigger the ar-lib wrapper | |||
# if it is needed. If the detection of archiver interface fails, run | # if it is needed. If the detection of archiver interface fails, run | |||
# ACT-IF-FAIL (default is to abort configure with a proper error message). | # ACT-IF-FAIL (default is to abort configure with a proper error message). | |||
skipping to change at line 121 | skipping to change at line 121 | |||
unknown) | unknown) | |||
m4_default([$1], | m4_default([$1], | |||
[AC_MSG_ERROR([could not determine $AR interface])]) | [AC_MSG_ERROR([could not determine $AR interface])]) | |||
;; | ;; | |||
esac | esac | |||
AC_SUBST([AR])dnl | AC_SUBST([AR])dnl | |||
]) | ]) | |||
# AM_AUX_DIR_EXPAND -*- Autoconf -*- | # AM_AUX_DIR_EXPAND -*- Autoconf -*- | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets | # For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets | |||
# $ac_aux_dir to '$srcdir/foo'. In other projects, it is set to | # $ac_aux_dir to '$srcdir/foo'. In other projects, it is set to | |||
# '$srcdir', '$srcdir/..', or '$srcdir/../..'. | # '$srcdir', '$srcdir/..', or '$srcdir/../..'. | |||
# | # | |||
# Of course, Automake must honor this variable whenever it calls a | # Of course, Automake must honor this variable whenever it calls a | |||
skipping to change at line 173 | skipping to change at line 173 | |||
# configured tree to be moved without reconfiguration. | # configured tree to be moved without reconfiguration. | |||
AC_DEFUN([AM_AUX_DIR_EXPAND], | AC_DEFUN([AM_AUX_DIR_EXPAND], | |||
[AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT])dnl | [AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT])dnl | |||
# Expand $ac_aux_dir to an absolute path. | # Expand $ac_aux_dir to an absolute path. | |||
am_aux_dir=`cd "$ac_aux_dir" && pwd` | am_aux_dir=`cd "$ac_aux_dir" && pwd` | |||
]) | ]) | |||
# AM_CONDITIONAL -*- Autoconf -*- | # AM_CONDITIONAL -*- Autoconf -*- | |||
# Copyright (C) 1997-2017 Free Software Foundation, Inc. | # Copyright (C) 1997-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_CONDITIONAL(NAME, SHELL-CONDITION) | # AM_CONDITIONAL(NAME, SHELL-CONDITION) | |||
# ------------------------------------- | # ------------------------------------- | |||
# Define a conditional. | # Define a conditional. | |||
AC_DEFUN([AM_CONDITIONAL], | AC_DEFUN([AM_CONDITIONAL], | |||
[AC_PREREQ([2.52])dnl | [AC_PREREQ([2.52])dnl | |||
skipping to change at line 204 | skipping to change at line 204 | |||
else | else | |||
$1_TRUE='#' | $1_TRUE='#' | |||
$1_FALSE= | $1_FALSE= | |||
fi | fi | |||
AC_CONFIG_COMMANDS_PRE( | AC_CONFIG_COMMANDS_PRE( | |||
[if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then | [if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then | |||
AC_MSG_ERROR([[conditional "$1" was never defined. | AC_MSG_ERROR([[conditional "$1" was never defined. | |||
Usually this means the macro was only invoked conditionally.]]) | Usually this means the macro was only invoked conditionally.]]) | |||
fi])]) | fi])]) | |||
# Copyright (C) 1999-2017 Free Software Foundation, Inc. | # Copyright (C) 1999-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# There are a few dirty hacks below to avoid letting 'AC_PROG_CC' be | # There are a few dirty hacks below to avoid letting 'AC_PROG_CC' be | |||
# written in clear, in which case automake, when reading aclocal.m4, | # written in clear, in which case automake, when reading aclocal.m4, | |||
# will think it sees a *use*, and therefore will trigger all it's | # will think it sees a *use*, and therefore will trigger all it's | |||
# C support machinery. Also note that it means that autoscan, seeing | # C support machinery. Also note that it means that autoscan, seeing | |||
# CC etc. in the Makefile, will ask for an AC_PROG_CC use... | # CC etc. in the Makefile, will ask for an AC_PROG_CC use... | |||
skipping to change at line 391 | skipping to change at line 391 | |||
fi | fi | |||
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno]) | AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno]) | |||
AC_SUBST([AMDEPBACKSLASH])dnl | AC_SUBST([AMDEPBACKSLASH])dnl | |||
_AM_SUBST_NOTMAKE([AMDEPBACKSLASH])dnl | _AM_SUBST_NOTMAKE([AMDEPBACKSLASH])dnl | |||
AC_SUBST([am__nodep])dnl | AC_SUBST([am__nodep])dnl | |||
_AM_SUBST_NOTMAKE([am__nodep])dnl | _AM_SUBST_NOTMAKE([am__nodep])dnl | |||
]) | ]) | |||
# Generate code to set up dependency tracking. -*- Autoconf -*- | # Generate code to set up dependency tracking. -*- Autoconf -*- | |||
# Copyright (C) 1999-2017 Free Software Foundation, Inc. | # Copyright (C) 1999-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_OUTPUT_DEPENDENCY_COMMANDS | # _AM_OUTPUT_DEPENDENCY_COMMANDS | |||
# ------------------------------ | # ------------------------------ | |||
AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS], | AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[{ | [{ | |||
# Older Autoconf quotes --file arguments for eval, but not when files | # Older Autoconf quotes --file arguments for eval, but not when files | |||
# are listed without --file. Let's play safe and only enable the eval | # are listed without --file. Let's play safe and only enable the eval | |||
# if we detect the quoting. | # if we detect the quoting. | |||
case $CONFIG_FILES in | # TODO: see whether this extra hack can be removed once we start | |||
*\'*) eval set x "$CONFIG_FILES" ;; | # requiring Autoconf 2.70 or later. | |||
*) set x $CONFIG_FILES ;; | AS_CASE([$CONFIG_FILES], | |||
esac | [*\'*], [eval set x "$CONFIG_FILES"], | |||
[*], [set x $CONFIG_FILES]) | ||||
shift | shift | |||
for mf | # Used to flag and report bootstrapping failures. | |||
am_rc=0 | ||||
for am_mf | ||||
do | do | |||
# Strip MF so we end up with the name of the file. | # Strip MF so we end up with the name of the file. | |||
mf=`echo "$mf" | sed -e 's/:.*$//'` | am_mf=`AS_ECHO(["$am_mf"]) | sed -e 's/:.*$//'` | |||
# Check whether this is an Automake generated Makefile or not. | # Check whether this is an Automake generated Makefile which includes | |||
# We used to match only the files named 'Makefile.in', but | # dependency-tracking related rules and includes. | |||
# some people rename them; so instead we look at the file content. | # Grep'ing the whole file directly is not great: AIX grep has a line | |||
# Grep'ing the first line is not enough: some people post-process | ||||
# each Makefile.in and add a new line on top of each file to say so. | ||||
# Grep'ing the whole file is not good either: AIX grep has a line | ||||
# limit of 2048, but all sed's we know have understand at least 4000. | # limit of 2048, but all sed's we know have understand at least 4000. | |||
if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1 | sed -n 's,^am--depfiles:.*,X,p' "$am_mf" | grep X >/dev/null 2>&1 \ | |||
; then | || continue | |||
dirpart=`AS_DIRNAME("$mf")` | am_dirpart=`AS_DIRNAME(["$am_mf"])` | |||
else | am_filepart=`AS_BASENAME(["$am_mf"])` | |||
continue | AM_RUN_LOG([cd "$am_dirpart" \ | |||
fi | && sed -e '/# am--include-marker/d' "$am_filepart" \ | |||
# Extract the definition of DEPDIR, am__include, and am__quote | | $MAKE -f - am--depfiles]) || am_rc=$? | |||
# from the Makefile without running 'make'. | ||||
DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"` | ||||
test -z "$DEPDIR" && continue | ||||
am__include=`sed -n 's/^am__include = //p' < "$mf"` | ||||
test -z "$am__include" && continue | ||||
am__quote=`sed -n 's/^am__quote = //p' < "$mf"` | ||||
# Find all dependency output files, they are included files with | ||||
# $(DEPDIR) in their names. We invoke sed twice because it is the | ||||
# simplest approach to changing $(DEPDIR) to its actual value in the | ||||
# expansion. | ||||
for file in `sed -n " | ||||
s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \ | ||||
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g'`; do | ||||
# Make sure the directory exists. | ||||
test -f "$dirpart/$file" && continue | ||||
fdir=`AS_DIRNAME(["$file"])` | ||||
AS_MKDIR_P([$dirpart/$fdir]) | ||||
# echo "creating $dirpart/$file" | ||||
echo '# dummy' > "$dirpart/$file" | ||||
done | ||||
done | done | |||
if test $am_rc -ne 0; then | ||||
AC_MSG_FAILURE([Something went wrong bootstrapping makefile fragments | ||||
for automatic dependency tracking. Try re-running configure with the | ||||
'--disable-dependency-tracking' option to at least be able to build | ||||
the package (albeit without support for automatic dependency tracking).]) | ||||
fi | ||||
AS_UNSET([am_dirpart]) | ||||
AS_UNSET([am_filepart]) | ||||
AS_UNSET([am_mf]) | ||||
AS_UNSET([am_rc]) | ||||
rm -f conftest-deps.mk | ||||
} | } | |||
])# _AM_OUTPUT_DEPENDENCY_COMMANDS | ])# _AM_OUTPUT_DEPENDENCY_COMMANDS | |||
# AM_OUTPUT_DEPENDENCY_COMMANDS | # AM_OUTPUT_DEPENDENCY_COMMANDS | |||
# ----------------------------- | # ----------------------------- | |||
# This macro should only be invoked once -- use via AC_REQUIRE. | # This macro should only be invoked once -- use via AC_REQUIRE. | |||
# | # | |||
# This code is only required when automatic dependency tracking | # This code is only required when automatic dependency tracking is enabled. | |||
# is enabled. FIXME. This creates each '.P' file that we will | # This creates each '.Po' and '.Plo' makefile fragment that we'll need in | |||
# need in order to bootstrap the dependency handling code. | # order to bootstrap the dependency handling code. | |||
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS], | AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[AC_CONFIG_COMMANDS([depfiles], | [AC_CONFIG_COMMANDS([depfiles], | |||
[test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS], | [test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"]) | [AMDEP_TRUE="$AMDEP_TRUE" MAKE="${MAKE-make}"])]) | |||
]) | ||||
# Do all the work for Automake. -*- Autoconf -*- | # Do all the work for Automake. -*- Autoconf -*- | |||
# Copyright (C) 1996-2017 Free Software Foundation, Inc. | # Copyright (C) 1996-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This macro actually does too much. Some checks are only needed if | # This macro actually does too much. Some checks are only needed if | |||
# your package does certain things. But this isn't really a big deal. | # your package does certain things. But this isn't really a big deal. | |||
dnl Redefine AC_PROG_CC to automatically invoke _AM_PROG_CC_C_O. | dnl Redefine AC_PROG_CC to automatically invoke _AM_PROG_CC_C_O. | |||
m4_define([AC_PROG_CC], | m4_define([AC_PROG_CC], | |||
skipping to change at line 552 | skipping to change at line 543 | |||
AM_MISSING_PROG([ACLOCAL], [aclocal-${am__api_version}]) | AM_MISSING_PROG([ACLOCAL], [aclocal-${am__api_version}]) | |||
AM_MISSING_PROG([AUTOCONF], [autoconf]) | AM_MISSING_PROG([AUTOCONF], [autoconf]) | |||
AM_MISSING_PROG([AUTOMAKE], [automake-${am__api_version}]) | AM_MISSING_PROG([AUTOMAKE], [automake-${am__api_version}]) | |||
AM_MISSING_PROG([AUTOHEADER], [autoheader]) | AM_MISSING_PROG([AUTOHEADER], [autoheader]) | |||
AM_MISSING_PROG([MAKEINFO], [makeinfo]) | AM_MISSING_PROG([MAKEINFO], [makeinfo]) | |||
AC_REQUIRE([AM_PROG_INSTALL_SH])dnl | AC_REQUIRE([AM_PROG_INSTALL_SH])dnl | |||
AC_REQUIRE([AM_PROG_INSTALL_STRIP])dnl | AC_REQUIRE([AM_PROG_INSTALL_STRIP])dnl | |||
AC_REQUIRE([AC_PROG_MKDIR_P])dnl | AC_REQUIRE([AC_PROG_MKDIR_P])dnl | |||
# For better backward compatibility. To be removed once Automake 1.9.x | # For better backward compatibility. To be removed once Automake 1.9.x | |||
# dies out for good. For more background, see: | # dies out for good. For more background, see: | |||
# <http://lists.gnu.org/archive/html/automake/2012-07/msg00001.html> | # <https://lists.gnu.org/archive/html/automake/2012-07/msg00001.html> | |||
# <http://lists.gnu.org/archive/html/automake/2012-07/msg00014.html> | # <https://lists.gnu.org/archive/html/automake/2012-07/msg00014.html> | |||
AC_SUBST([mkdir_p], ['$(MKDIR_P)']) | AC_SUBST([mkdir_p], ['$(MKDIR_P)']) | |||
# We need awk for the "check" target (and possibly the TAP driver). The | # We need awk for the "check" target (and possibly the TAP driver). The | |||
# system "awk" is bad on some platforms. | # system "awk" is bad on some platforms. | |||
AC_REQUIRE([AC_PROG_AWK])dnl | AC_REQUIRE([AC_PROG_AWK])dnl | |||
AC_REQUIRE([AC_PROG_MAKE_SET])dnl | AC_REQUIRE([AC_PROG_MAKE_SET])dnl | |||
AC_REQUIRE([AM_SET_LEADING_DOT])dnl | AC_REQUIRE([AM_SET_LEADING_DOT])dnl | |||
_AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])], | _AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])], | |||
[_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])], | [_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])], | |||
[_AM_PROG_TAR([v7])])]) | [_AM_PROG_TAR([v7])])]) | |||
_AM_IF_OPTION([no-dependencies],, | _AM_IF_OPTION([no-dependencies],, | |||
skipping to change at line 620 | skipping to change at line 611 | |||
END | END | |||
if test x"$ACCEPT_INFERIOR_RM_PROGRAM" = x"yes"; then | if test x"$ACCEPT_INFERIOR_RM_PROGRAM" = x"yes"; then | |||
echo 'Configuration will proceed anyway, since you have set the' >&2 | echo 'Configuration will proceed anyway, since you have set the' >&2 | |||
echo 'ACCEPT_INFERIOR_RM_PROGRAM variable to "yes"' >&2 | echo 'ACCEPT_INFERIOR_RM_PROGRAM variable to "yes"' >&2 | |||
echo >&2 | echo >&2 | |||
else | else | |||
cat >&2 <<'END' | cat >&2 <<'END' | |||
Aborting the configuration process, to ensure you take notice of the issue. | Aborting the configuration process, to ensure you take notice of the issue. | |||
You can download and install GNU coreutils to get an 'rm' implementation | You can download and install GNU coreutils to get an 'rm' implementation | |||
that behaves properly: <http://www.gnu.org/software/coreutils/>. | that behaves properly: <https://www.gnu.org/software/coreutils/>. | |||
If you want to complete the configuration process using your problematic | If you want to complete the configuration process using your problematic | |||
'rm' anyway, export the environment variable ACCEPT_INFERIOR_RM_PROGRAM | 'rm' anyway, export the environment variable ACCEPT_INFERIOR_RM_PROGRAM | |||
to "yes", and re-run configure. | to "yes", and re-run configure. | |||
END | END | |||
AC_MSG_ERROR([Your 'rm' program is bad, sorry.]) | AC_MSG_ERROR([Your 'rm' program is bad, sorry.]) | |||
fi | fi | |||
fi | fi | |||
dnl The trailing newline in this macro's definition is deliberate, for | dnl The trailing newline in this macro's definition is deliberate, for | |||
skipping to change at line 662 | skipping to change at line 653 | |||
for _am_header in $config_headers :; do | for _am_header in $config_headers :; do | |||
case $_am_header in | case $_am_header in | |||
$_am_arg | $_am_arg:* ) | $_am_arg | $_am_arg:* ) | |||
break ;; | break ;; | |||
* ) | * ) | |||
_am_stamp_count=`expr $_am_stamp_count + 1` ;; | _am_stamp_count=`expr $_am_stamp_count + 1` ;; | |||
esac | esac | |||
done | done | |||
echo "timestamp for $_am_arg" >`AS_DIRNAME(["$_am_arg"])`/stamp-h[]$_am_stamp_co unt]) | echo "timestamp for $_am_arg" >`AS_DIRNAME(["$_am_arg"])`/stamp-h[]$_am_stamp_co unt]) | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_PROG_INSTALL_SH | # AM_PROG_INSTALL_SH | |||
# ------------------ | # ------------------ | |||
# Define $install_sh. | # Define $install_sh. | |||
AC_DEFUN([AM_PROG_INSTALL_SH], | AC_DEFUN([AM_PROG_INSTALL_SH], | |||
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl | [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl | |||
if test x"${install_sh+set}" != xset; then | if test x"${install_sh+set}" != xset; then | |||
case $am_aux_dir in | case $am_aux_dir in | |||
*\ * | *\ *) | *\ * | *\ *) | |||
install_sh="\${SHELL} '$am_aux_dir/install-sh'" ;; | install_sh="\${SHELL} '$am_aux_dir/install-sh'" ;; | |||
*) | *) | |||
install_sh="\${SHELL} $am_aux_dir/install-sh" | install_sh="\${SHELL} $am_aux_dir/install-sh" | |||
esac | esac | |||
fi | fi | |||
AC_SUBST([install_sh])]) | AC_SUBST([install_sh])]) | |||
# Copyright (C) 2003-2017 Free Software Foundation, Inc. | # Copyright (C) 2003-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# Check whether the underlying file-system supports filenames | # Check whether the underlying file-system supports filenames | |||
# with a leading dot. For instance MS-DOS doesn't. | # with a leading dot. For instance MS-DOS doesn't. | |||
AC_DEFUN([AM_SET_LEADING_DOT], | AC_DEFUN([AM_SET_LEADING_DOT], | |||
[rm -rf .tst 2>/dev/null | [rm -rf .tst 2>/dev/null | |||
mkdir .tst 2>/dev/null | mkdir .tst 2>/dev/null | |||
skipping to change at line 705 | skipping to change at line 696 | |||
am__leading_dot=. | am__leading_dot=. | |||
else | else | |||
am__leading_dot=_ | am__leading_dot=_ | |||
fi | fi | |||
rmdir .tst 2>/dev/null | rmdir .tst 2>/dev/null | |||
AC_SUBST([am__leading_dot])]) | AC_SUBST([am__leading_dot])]) | |||
# Add --enable-maintainer-mode option to configure. -*- Autoconf -*- | # Add --enable-maintainer-mode option to configure. -*- Autoconf -*- | |||
# From Jim Meyering | # From Jim Meyering | |||
# Copyright (C) 1996-2017 Free Software Foundation, Inc. | # Copyright (C) 1996-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MAINTAINER_MODE([DEFAULT-MODE]) | # AM_MAINTAINER_MODE([DEFAULT-MODE]) | |||
# ---------------------------------- | # ---------------------------------- | |||
# Control maintainer-specific portions of Makefiles. | # Control maintainer-specific portions of Makefiles. | |||
# Default is to disable them, unless 'enable' is passed literally. | # Default is to disable them, unless 'enable' is passed literally. | |||
# For symmetry, 'disable' may be passed as well. Anyway, the user | # For symmetry, 'disable' may be passed as well. Anyway, the user | |||
skipping to change at line 740 | skipping to change at line 731 | |||
[USE_MAINTAINER_MODE=]m4_if(am_maintainer_other, [enable], [no], [yes])) | [USE_MAINTAINER_MODE=]m4_if(am_maintainer_other, [enable], [no], [yes])) | |||
AC_MSG_RESULT([$USE_MAINTAINER_MODE]) | AC_MSG_RESULT([$USE_MAINTAINER_MODE]) | |||
AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes]) | AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes]) | |||
MAINT=$MAINTAINER_MODE_TRUE | MAINT=$MAINTAINER_MODE_TRUE | |||
AC_SUBST([MAINT])dnl | AC_SUBST([MAINT])dnl | |||
] | ] | |||
) | ) | |||
# Check to see how 'make' treats includes. -*- Autoconf -*- | # Check to see how 'make' treats includes. -*- Autoconf -*- | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MAKE_INCLUDE() | # AM_MAKE_INCLUDE() | |||
# ----------------- | # ----------------- | |||
# Check to see how make treats includes. | # Check whether make has an 'include' directive that can support all | |||
# the idioms we need for our automatic dependency tracking code. | ||||
AC_DEFUN([AM_MAKE_INCLUDE], | AC_DEFUN([AM_MAKE_INCLUDE], | |||
[am_make=${MAKE-make} | [AC_MSG_CHECKING([whether ${MAKE-make} supports the include directive]) | |||
cat > confinc << 'END' | cat > confinc.mk << 'END' | |||
am__doit: | am__doit: | |||
@echo this is the am__doit target | @echo this is the am__doit target >confinc.out | |||
.PHONY: am__doit | .PHONY: am__doit | |||
END | END | |||
# If we don't find an include directive, just comment out the code. | ||||
AC_MSG_CHECKING([for style of include used by $am_make]) | ||||
am__include="#" | am__include="#" | |||
am__quote= | am__quote= | |||
_am_result=none | # BSD make does it like this. | |||
# First try GNU make style include. | echo '.include "confinc.mk" # ignored' > confmf.BSD | |||
echo "include confinc" > confmf | # Other make implementations (GNU, Solaris 10, AIX) do it like this. | |||
# Ignore all kinds of additional output from 'make'. | echo 'include confinc.mk # ignored' > confmf.GNU | |||
case `$am_make -s -f confmf 2> /dev/null` in #( | _am_result=no | |||
*the\ am__doit\ target*) | for s in GNU BSD; do | |||
am__include=include | AM_RUN_LOG([${MAKE-make} -f confmf.$s && cat confinc.out]) | |||
am__quote= | AS_CASE([$?:`cat confinc.out 2>/dev/null`], | |||
_am_result=GNU | ['0:this is the am__doit target'], | |||
;; | [AS_CASE([$s], | |||
esac | [BSD], [am__include='.include' am__quote='"'], | |||
# Now try BSD make style include. | [am__include='include' am__quote=''])]) | |||
if test "$am__include" = "#"; then | if test "$am__include" != "#"; then | |||
echo '.include "confinc"' > confmf | _am_result="yes ($s style)" | |||
case `$am_make -s -f confmf 2> /dev/null` in #( | break | |||
*the\ am__doit\ target*) | fi | |||
am__include=.include | done | |||
am__quote="\"" | rm -f confinc.* confmf.* | |||
_am_result=BSD | AC_MSG_RESULT([${_am_result}]) | |||
;; | AC_SUBST([am__include])]) | |||
esac | AC_SUBST([am__quote])]) | |||
fi | ||||
AC_SUBST([am__include]) | ||||
AC_SUBST([am__quote]) | ||||
AC_MSG_RESULT([$_am_result]) | ||||
rm -f confinc confmf | ||||
]) | ||||
# Fake the existence of programs that GNU maintainers use. -*- Autoconf -*- | # Fake the existence of programs that GNU maintainers use. -*- Autoconf -*- | |||
# Copyright (C) 1997-2017 Free Software Foundation, Inc. | # Copyright (C) 1997-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MISSING_PROG(NAME, PROGRAM) | # AM_MISSING_PROG(NAME, PROGRAM) | |||
# ------------------------------ | # ------------------------------ | |||
AC_DEFUN([AM_MISSING_PROG], | AC_DEFUN([AM_MISSING_PROG], | |||
[AC_REQUIRE([AM_MISSING_HAS_RUN]) | [AC_REQUIRE([AM_MISSING_HAS_RUN]) | |||
$1=${$1-"${am_missing_run}$2"} | $1=${$1-"${am_missing_run}$2"} | |||
skipping to change at line 831 | skipping to change at line 815 | |||
else | else | |||
am_missing_run= | am_missing_run= | |||
AC_MSG_WARN(['missing' script is too old or missing]) | AC_MSG_WARN(['missing' script is too old or missing]) | |||
fi | fi | |||
]) | ]) | |||
# -*- Autoconf -*- | # -*- Autoconf -*- | |||
# Obsolete and "removed" macros, that must however still report explicit | # Obsolete and "removed" macros, that must however still report explicit | |||
# error messages when used, to smooth transition. | # error messages when used, to smooth transition. | |||
# | # | |||
# Copyright (C) 1996-2017 Free Software Foundation, Inc. | # Copyright (C) 1996-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
AC_DEFUN([AM_CONFIG_HEADER], | AC_DEFUN([AM_CONFIG_HEADER], | |||
[AC_DIAGNOSE([obsolete], | [AC_DIAGNOSE([obsolete], | |||
['$0': this macro is obsolete. | ['$0': this macro is obsolete. | |||
You should use the 'AC][_CONFIG_HEADERS' macro instead.])dnl | You should use the 'AC][_CONFIG_HEADERS' macro instead.])dnl | |||
AC_CONFIG_HEADERS($@)]) | AC_CONFIG_HEADERS($@)]) | |||
skipping to change at line 858 | skipping to change at line 842 | |||
You should simply use the 'AC][_PROG_CC' macro instead. | You should simply use the 'AC][_PROG_CC' macro instead. | |||
Also, your code should no longer depend upon 'am_cv_prog_cc_stdc', | Also, your code should no longer depend upon 'am_cv_prog_cc_stdc', | |||
but upon 'ac_cv_prog_cc_stdc'.])]) | but upon 'ac_cv_prog_cc_stdc'.])]) | |||
AC_DEFUN([AM_C_PROTOTYPES], | AC_DEFUN([AM_C_PROTOTYPES], | |||
[AC_FATAL([automatic de-ANSI-fication support has been removed])]) | [AC_FATAL([automatic de-ANSI-fication support has been removed])]) | |||
AU_DEFUN([fp_C_PROTOTYPES], [AM_C_PROTOTYPES]) | AU_DEFUN([fp_C_PROTOTYPES], [AM_C_PROTOTYPES]) | |||
# Helper functions for option handling. -*- Autoconf -*- | # Helper functions for option handling. -*- Autoconf -*- | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_MANGLE_OPTION(NAME) | # _AM_MANGLE_OPTION(NAME) | |||
# ----------------------- | # ----------------------- | |||
AC_DEFUN([_AM_MANGLE_OPTION], | AC_DEFUN([_AM_MANGLE_OPTION], | |||
[[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])]) | [[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])]) | |||
skipping to change at line 887 | skipping to change at line 871 | |||
# OPTIONS is a space-separated list of Automake options. | # OPTIONS is a space-separated list of Automake options. | |||
AC_DEFUN([_AM_SET_OPTIONS], | AC_DEFUN([_AM_SET_OPTIONS], | |||
[m4_foreach_w([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])]) | [m4_foreach_w([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])]) | |||
# _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET]) | # _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET]) | |||
# ------------------------------------------- | # ------------------------------------------- | |||
# Execute IF-SET if OPTION is set, IF-NOT-SET otherwise. | # Execute IF-SET if OPTION is set, IF-NOT-SET otherwise. | |||
AC_DEFUN([_AM_IF_OPTION], | AC_DEFUN([_AM_IF_OPTION], | |||
[m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])]) | [m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])]) | |||
# Copyright (C) 1999-2017 Free Software Foundation, Inc. | # Copyright (C) 1999-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_PROG_CC_C_O | # _AM_PROG_CC_C_O | |||
# --------------- | # --------------- | |||
# Like AC_PROG_CC_C_O, but changed for automake. We rewrite AC_PROG_CC | # Like AC_PROG_CC_C_O, but changed for automake. We rewrite AC_PROG_CC | |||
# to automatically call this. | # to automatically call this. | |||
AC_DEFUN([_AM_PROG_CC_C_O], | AC_DEFUN([_AM_PROG_CC_C_O], | |||
skipping to change at line 934 | skipping to change at line 918 | |||
# But if we don't then we get into trouble of one sort or another. | # But if we don't then we get into trouble of one sort or another. | |||
# A longer-term fix would be to have automake use am__CC in this case, | # A longer-term fix would be to have automake use am__CC in this case, | |||
# and then we could set am__CC="\$(top_srcdir)/compile \$(CC)" | # and then we could set am__CC="\$(top_srcdir)/compile \$(CC)" | |||
CC="$am_aux_dir/compile $CC" | CC="$am_aux_dir/compile $CC" | |||
fi | fi | |||
AC_LANG_POP([C])]) | AC_LANG_POP([C])]) | |||
# For backward compatibility. | # For backward compatibility. | |||
AC_DEFUN_ONCE([AM_PROG_CC_C_O], [AC_REQUIRE([AC_PROG_CC])]) | AC_DEFUN_ONCE([AM_PROG_CC_C_O], [AC_REQUIRE([AC_PROG_CC])]) | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_RUN_LOG(COMMAND) | # AM_RUN_LOG(COMMAND) | |||
# ------------------- | # ------------------- | |||
# Run COMMAND, save the exit status in ac_status, and log it. | # Run COMMAND, save the exit status in ac_status, and log it. | |||
# (This has been adapted from Autoconf's _AC_RUN_LOG macro.) | # (This has been adapted from Autoconf's _AC_RUN_LOG macro.) | |||
AC_DEFUN([AM_RUN_LOG], | AC_DEFUN([AM_RUN_LOG], | |||
[{ echo "$as_me:$LINENO: $1" >&AS_MESSAGE_LOG_FD | [{ echo "$as_me:$LINENO: $1" >&AS_MESSAGE_LOG_FD | |||
($1) >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD | ($1) >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD | |||
ac_status=$? | ac_status=$? | |||
echo "$as_me:$LINENO: \$? = $ac_status" >&AS_MESSAGE_LOG_FD | echo "$as_me:$LINENO: \$? = $ac_status" >&AS_MESSAGE_LOG_FD | |||
(exit $ac_status); }]) | (exit $ac_status); }]) | |||
# Check to make sure that the build environment is sane. -*- Autoconf -*- | # Check to make sure that the build environment is sane. -*- Autoconf -*- | |||
# Copyright (C) 1996-2017 Free Software Foundation, Inc. | # Copyright (C) 1996-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_SANITY_CHECK | # AM_SANITY_CHECK | |||
# --------------- | # --------------- | |||
AC_DEFUN([AM_SANITY_CHECK], | AC_DEFUN([AM_SANITY_CHECK], | |||
[AC_MSG_CHECKING([whether build environment is sane]) | [AC_MSG_CHECKING([whether build environment is sane]) | |||
# Reject unsafe characters in $srcdir or the absolute working directory | # Reject unsafe characters in $srcdir or the absolute working directory | |||
skipping to change at line 1034 | skipping to change at line 1018 | |||
AC_CONFIG_COMMANDS_PRE( | AC_CONFIG_COMMANDS_PRE( | |||
[AC_MSG_CHECKING([that generated files are newer than configure]) | [AC_MSG_CHECKING([that generated files are newer than configure]) | |||
if test -n "$am_sleep_pid"; then | if test -n "$am_sleep_pid"; then | |||
# Hide warnings about reused PIDs. | # Hide warnings about reused PIDs. | |||
wait $am_sleep_pid 2>/dev/null | wait $am_sleep_pid 2>/dev/null | |||
fi | fi | |||
AC_MSG_RESULT([done])]) | AC_MSG_RESULT([done])]) | |||
rm -f conftest.file | rm -f conftest.file | |||
]) | ]) | |||
# Copyright (C) 2009-2017 Free Software Foundation, Inc. | # Copyright (C) 2009-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_SILENT_RULES([DEFAULT]) | # AM_SILENT_RULES([DEFAULT]) | |||
# -------------------------- | # -------------------------- | |||
# Enable less verbose build rules; with the default set to DEFAULT | # Enable less verbose build rules; with the default set to DEFAULT | |||
# ("yes" being less verbose, "no" or empty being verbose). | # ("yes" being less verbose, "no" or empty being verbose). | |||
AC_DEFUN([AM_SILENT_RULES], | AC_DEFUN([AM_SILENT_RULES], | |||
skipping to change at line 1094 | skipping to change at line 1078 | |||
AC_SUBST([AM_V])dnl | AC_SUBST([AM_V])dnl | |||
AM_SUBST_NOTMAKE([AM_V])dnl | AM_SUBST_NOTMAKE([AM_V])dnl | |||
AC_SUBST([AM_DEFAULT_V])dnl | AC_SUBST([AM_DEFAULT_V])dnl | |||
AM_SUBST_NOTMAKE([AM_DEFAULT_V])dnl | AM_SUBST_NOTMAKE([AM_DEFAULT_V])dnl | |||
AC_SUBST([AM_DEFAULT_VERBOSITY])dnl | AC_SUBST([AM_DEFAULT_VERBOSITY])dnl | |||
AM_BACKSLASH='\' | AM_BACKSLASH='\' | |||
AC_SUBST([AM_BACKSLASH])dnl | AC_SUBST([AM_BACKSLASH])dnl | |||
_AM_SUBST_NOTMAKE([AM_BACKSLASH])dnl | _AM_SUBST_NOTMAKE([AM_BACKSLASH])dnl | |||
]) | ]) | |||
# Copyright (C) 2001-2017 Free Software Foundation, Inc. | # Copyright (C) 2001-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_PROG_INSTALL_STRIP | # AM_PROG_INSTALL_STRIP | |||
# --------------------- | # --------------------- | |||
# One issue with vendor 'install' (even GNU) is that you can't | # One issue with vendor 'install' (even GNU) is that you can't | |||
# specify the program used to strip binaries. This is especially | # specify the program used to strip binaries. This is especially | |||
# annoying in cross-compiling environments, where the build's strip | # annoying in cross-compiling environments, where the build's strip | |||
skipping to change at line 1122 | skipping to change at line 1106 | |||
# run "make install-strip". However 'strip' might not be the right | # run "make install-strip". However 'strip' might not be the right | |||
# tool to use in cross-compilation environments, therefore Automake | # tool to use in cross-compilation environments, therefore Automake | |||
# will honor the 'STRIP' environment variable to overrule this program. | # will honor the 'STRIP' environment variable to overrule this program. | |||
dnl Don't test for $cross_compiling = yes, because it might be 'maybe'. | dnl Don't test for $cross_compiling = yes, because it might be 'maybe'. | |||
if test "$cross_compiling" != no; then | if test "$cross_compiling" != no; then | |||
AC_CHECK_TOOL([STRIP], [strip], :) | AC_CHECK_TOOL([STRIP], [strip], :) | |||
fi | fi | |||
INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s" | INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s" | |||
AC_SUBST([INSTALL_STRIP_PROGRAM])]) | AC_SUBST([INSTALL_STRIP_PROGRAM])]) | |||
# Copyright (C) 2006-2017 Free Software Foundation, Inc. | # Copyright (C) 2006-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_SUBST_NOTMAKE(VARIABLE) | # _AM_SUBST_NOTMAKE(VARIABLE) | |||
# --------------------------- | # --------------------------- | |||
# Prevent Automake from outputting VARIABLE = @VARIABLE@ in Makefile.in. | # Prevent Automake from outputting VARIABLE = @VARIABLE@ in Makefile.in. | |||
# This macro is traced by Automake. | # This macro is traced by Automake. | |||
AC_DEFUN([_AM_SUBST_NOTMAKE]) | AC_DEFUN([_AM_SUBST_NOTMAKE]) | |||
# AM_SUBST_NOTMAKE(VARIABLE) | # AM_SUBST_NOTMAKE(VARIABLE) | |||
# -------------------------- | # -------------------------- | |||
# Public sister of _AM_SUBST_NOTMAKE. | # Public sister of _AM_SUBST_NOTMAKE. | |||
AC_DEFUN([AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE($@)]) | AC_DEFUN([AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE($@)]) | |||
# Check how to create a tarball. -*- Autoconf -*- | # Check how to create a tarball. -*- Autoconf -*- | |||
# Copyright (C) 2004-2017 Free Software Foundation, Inc. | # Copyright (C) 2004-2018 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_PROG_TAR(FORMAT) | # _AM_PROG_TAR(FORMAT) | |||
# -------------------- | # -------------------- | |||
# Check how to create a tarball in format FORMAT. | # Check how to create a tarball in format FORMAT. | |||
# FORMAT should be one of 'v7', 'ustar', or 'pax'. | # FORMAT should be one of 'v7', 'ustar', or 'pax'. | |||
# | # | |||
End of changes. 41 change blocks. | ||||
108 lines changed or deleted | 91 lines changed or added |